
Name:      qubes-mgmt-salt-base-config
Version:   4.1.1
Release:   1%{?dist}
Summary:   Qubes+Salt Management base configuration for SaltStack's Salt Infrastructure automation and management system
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
BuildRequires: make
Requires:  salt
Requires:  salt-minion
Requires:  qubes-mgmt-salt-config
Requires:  qubes-mgmt-salt-base-topd


Source0: %{name}-%{version}.tar.gz

%description
Qubes+Salt Management base configuration for SaltStack's Salt Infrastructure
automation and management system.

%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}

%post

# disable formula which used to be in this package
rm -f /srv/salt/_tops/base/config.top
rm -f /srv/pillar/_tops/base/config.top
rm -f /srv/pillar/_tops/base/config.modules.top
rm -f /srv/pillar/_tops/dom0/config.top
rm -f /srv/pillar/_tops/dom0/config.modules.top

%files
%defattr(-,root,root)
%doc LICENSE README.rst

%attr(750, root, root) %dir /srv/salt/qubes
/srv/salt/qubes/directories.sls
/srv/salt/qubes/directories.top
/srv/salt/qubes/files/locale.sls
/srv/salt/qubes/files/pillar.sls
/srv/salt/qubes/files/top.sls
/srv/salt/qubes/LICENSE
/srv/salt/qubes/README.rst
/srv/salt/qubes/user-dirs.sls
/srv/salt/qubes/user-dirs.top

/srv/pillar/vmtype.jinja

%changelog
* Thu May 13 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt-base-config.git

* Thu May 13 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b804ca0
- version 4.1.1

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 21d98aa
- spec: add BR make

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - dfae288
- Add .gitlab-ci.yml

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 79aff62
- Update travis

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 179a1ae
- travis: switch to dom0 Fedora 31

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ca0f716
- travis: switch to bionic

* Sat Mar 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f1454b1
- version 4.1.0

* Fri Mar 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2e73468
- travis: update to R4.1

* Fri Mar 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dde20ad
- rpm: drop dependency on qubes-mgmt-salt-base-overrides*

* Thu Dec 20 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - ec459f8
- Use overrides only with salt version older than 2018.3

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 45f863b
- version 4.0.1

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - f86c5c5
- spec.in: add changelog placeholder

* Sun Mar 18 2018 Frédéric Pierret <frederic.epitre@orange.fr> - c1233f7
- Create .spec.in and Source0

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0f791a6
- version 4.0.0

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 31e3d33
- travis: update for Qubes 4.0

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1242e15
- travis: drop debootstrap workaround

* Mon Aug 08 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af0417f
- version 3.2.2

* Mon Aug 08 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2fb3bb9
- debian: there is no longer pillar data

* Mon Aug 08 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 646fc30
- rpm: remove obsolete symlinks also from 'dom0' env

* Tue Jul 19 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e52d0ad
- rpm: fix upgrade

* Thu Jul 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 156df5f
- Drop automatic enabling formulas and clearing cache

* Tue Jun 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ae034ee
- version 3.2.1

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a3fd529
- postinst: don't force specific environment in top.enable

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d8ff5a6
- Drop 'config' formula

* Sat Jun 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 693bcb2
- rpm: depend on /usr/bin/qubesctl for post installation script

* Sat Jun 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 922f7a1
- Revert "rpm: use salt-call instead of qubesctl"

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b79880b
- travis: initial version

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ebf374e
- rpm: use salt-call instead of qubesctl

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 49933d6
- Add 'Qubes' os_family

* Wed May 18 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 58227e3
- version 3.2.0

* Fri Mar 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 995d4a4
- Manage salt configuration only for dom0

* Fri Mar 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c0a4eae
- Do not use grains for targetting

* Sat Dec 26 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f917a99
- version 3.1.1

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 3e91e1a
- module: ext_config - Catch salt.utils.dictupdate.update exception

* Fri Dec 18 2015 Jason Mehring <nrgaway@gmail.com> - 07327a9
- config: Make sure yum_provider is set to yumpkg_api for dom0 only

* Mon Dec 14 2015 Jason Mehring <nrgaway@gmail.com> - c3f2b26
- Skip disabling salt-minion in chroot environment since systemd is not enabled

* Mon Dec 14 2015 Jason Mehring <nrgaway@gmail.com> - 2426015
- FORMULA: Use Makefile VARS for formula_dir, etc and re-ordered fields

* Mon Dec 14 2015 Jason Mehring <nrgaway@gmail.com> - 92f1a34
- Makefile:  Added a few formatting line feeds

* Wed Dec 02 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bb90c6c
- Disable setting locale by default

* Sat Nov 28 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2e0d3f0
- version 3.1.0

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aad497d
- version 3.0.0

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 549979e
- rpm: set package release to static value

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b0046f8
- Make qubesctl exit code meaningful

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 89d2b28
- makefile: add comments about files placed by mgmt-salt builder plugin

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ae6dd49
- rpm: make spec file parsing independent of Makefile.install

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 21922d9
- rpm: fix %post

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c1e145
- Add explicit formula/pillar target path to FORMULA file

* Sat Nov 21 2015 Wojtek Porczyk <woju@invisiblethingslab.com> - d67ec38
- disable stock (yum) pkg virtual

* Wed Oct 28 2015 Jason Mehring <nrgaway@gmail.com> - 75ad939
- Removed 'qubes' pillar (moved to mgmt-dom0-virtual-machines as qvm pillar)

* Wed Oct 28 2015 Jason Mehring <nrgaway@gmail.com> - 86cacb4
- f_defaults: Refer to config.file_root with subscript syntax instead of dot notaion

